### Enumeration

# AppStream ContentRatingValue

#### Declaration

    enum AppStream.ContentRatingValue

#### Description [src]

The specified level of an content_rating rating ID.

#### Members

`AS_CONTENT_RATING_VALUE_UNKNOWN`

  Unknown value.

  - Value: `0`
  - Available since: 1.0
`AS_CONTENT_RATING_VALUE_NONE`

  None.

  - Value: `1`
  - Available since: 1.0
`AS_CONTENT_RATING_VALUE_MILD`

  A small amount.

  - Value: `2`
  - Available since: 1.0
`AS_CONTENT_RATING_VALUE_MODERATE`

  A moderate amount.

  - Value: `3`
  - Available since: 1.0
`AS_CONTENT_RATING_VALUE_INTENSE`

  An intense amount.

  - Value: `4`
  - Available since: 1.0

#### Type functions

###### as_content_rating_value_from_string

Converts the text representation to an enumerated value.

since: 0.11.0

###### as_content_rating_value_to_string

Converts the enumerated value to an text representation.

since: 0.11.0